Bug 21310 - kernel paging error
kernel paging error
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-24 16:11 EST by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-11-24 16:11:04 EST
Below is the entries in the /var/log/messages file (the username was
penguin):
(I've also included a copy of the dmesg file)

Nov 24 13:05:50 yang kernel: Unable to handle kernel paging request at
virtual address 1333171b
Nov 24 13:05:50 yang kernel: current->tss.cr3 = 13fda000, %%cr3 = 13fda000
Nov 24 13:05:50 yang kernel: *pde = 00000000
Nov 24 13:05:50 yang kernel: Oops: 0000
Nov 24 13:05:50 yang kernel: CPU:    0
Nov 24 13:05:50 yang kernel: EIP:    0010:[free_wait+58/108]
Nov 24 13:05:50 yang kernel: EFLAGS: 00010003
Nov 24 13:05:50 yang kernel: eax: 13331717   ebx: cd877010   ecx:
d4c050a4   edx: 13331717
Nov 24 13:05:50 yang kernel: esi: cd87700c   edi: cd877000   ebp:
00000287   esp: d3fd9f84
Nov 24 13:05:50 yang kernel: ds: 0018   es: 0018   ss: 0018
Nov 24 13:05:50 yang kernel: Process cpumemusage_app (pid: 863, process nr:
61, stackpage=d3fd9000)
Nov 24 13:05:50 yang kernel: Stack: cd877000 d7ef7c00 c012fa10 cd877000
d3fd8000 00000006 080a14d0 bffff548 
Nov 24 13:05:50 yang kernel:        00000030 d3fd8000 00000000 d3fd8000
cd877000 cd877000 00000000 c0109f58 
Nov 24 13:05:50 yang kernel:        080a14d0 00000006 00000064 00000006
080a14d0 bffff548 000000a8 0000002b 
Nov 24 13:05:50 yang kernel: Call Trace: [sys_poll+324/340]
[system_call+52/56] 
Nov 24 13:05:50 yang kernel: Code: 8b 42 04 39 d8 75 f7 89 4a 04 55 9d 8b
06 50 e8 1e 77 ff ff 
Nov 24 13:06:10 yang gnome-name-server[754]: input condition is: 0x10,
exiting
Nov 24 13:06:10 yang kernel: Unable to handle kernel paging request at
virtual address 17341717
Nov 24 13:06:10 yang kernel: current->tss.cr3 = 15c7c000, %%cr3 = 15c7c000
Nov 24 13:06:10 yang kernel: *pde = 00000000
Nov 24 13:06:10 yang kernel: Oops: 0000
Nov 24 13:06:10 yang kernel: CPU:    0
Nov 24 13:06:10 yang kernel: EIP:    0010:[__wake_up+30/72]
Nov 24 13:06:10 yang kernel: EFLAGS: 00013287
Nov 24 13:06:10 yang kernel: eax: 00000004   ebx: 13331717   ecx:
d4081140   edx: 17341717
Nov 24 13:06:10 yang kernel: esi: d4c150a4   edi: 00000001   ebp:
d5d43e70   esp: d5d43e6c
Nov 24 13:06:10 yang kernel: ds: 0018   es: 0018   ss: 0018
Nov 24 13:06:10 yang kernel: Process X (pid: 704, process nr: 45,
stackpage=d5d43000)
Nov 24 13:06:10 yang kernel: Stack: 00000020 d5d43ea4 c014db91 cd32d260
c017f2d5 d4080e80 00000020 d4c14f7c 
Nov 24 13:06:11 yang kernel:        d5d43f04 c017f098 00003246 00000000
d4081140 c0110f96 d4c14f7c c014ba60 
Nov 24 13:06:11 yang kernel:        d4c14f7c d5d43f04 00000020 d5d43ed8
d4c14f7c 00000020 d4c14ee0 00000001 
Nov 24 13:06:12 yang kernel: Call Trace: [sock_def_readable+25/48]
[unix_stream_sendmsg+573/608] [unix_stream_sendmsg+0/608]
[wake_up_process+58/68] [sock_sendmsg+136/172] [unix_stream_sendmsg+0/608]
[sock_readv_writev+128/140] 
Nov 24 13:06:12 yang kernel:        [do_readv_writev+365/516]
[sock_read+143/152] [schedule+339/640] [sys_writev+105/144]
[system_call+52/56] [startup_32+43/285] 
Nov 24 13:06:13 yang kernel: Code: 8b 02 85 f8 74 f1 39 f3 74 0c 89 d0 e8
45 fa ff ff eb e4 8d 
Nov 24 13:06:16 yang PAM_unix[705]: (system-auth) session closed for user
penguin
Nov 24 13:06:17 yang gdm[705]: gdm_auth_user_remove:
/home/polarbear/penguin is not owned by uid 0.
Nov 24 13:06:17 yang gdm[705]: gdm_auth_user_remove: Ignoring suspiciously
looking cookie file /home/polarbear/penguin/.Xauthority

The dmesg file:

Linux version 2.2.16-22 (root@porky.devel.redhat.com) (gcc version
egcs-2.91.66 19990314/Linux (egcs-1.1.2 release)) #1 Tue Aug 22 16:49:06
EDT 2000
Detected 733105 kHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 1461.45 BogoMIPS
Memory: 386904k/393216k available (1048k kernel code, 412k reserved, 4320k
data, 64k init, 0k bigmem)
Dentry hash table entries: 262144 (order 9, 2048k)
Buffer cache hash table entries: 524288 (order 9, 2048k)
Page cache hash table entries: 131072 (order 7, 512k)
VFS: Diskquotas version dquot_6.4.0 initialized
Pentium-III serial number disabled.
CPU: Intel Pentium III (Coppermine) stepping 03
Checking 386/387 coupling... OK, FPU using exception 16 error reporting.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.35a (19990819) Richard Gooch (rgooch@atnf.csiro.au)
PCI: PCI BIOS revision 2.10 entry at 0xfb2c0
PCI: Using configuration type 1
PCI: Probing PCI hardware
PCI: 00:38 [1106/0596]: Work around ISA DMA hangs (00)
Activating ISA DMA hang workarounds.
Linux NET4.0 for Linux 2.2
Based upon Swansea University Computer Society NET3.039
NET4: Unix domain sockets 1.0 for Linux NET4.0.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
TCP: Hash tables configured (ehash 524288 bhash 65536)
Linux IP multicast router 0.06 plus PIM-SM
Initializing RT netlink socket
Starting kswapd v 1.5 
Detected PS/2 Mouse Port.
Serial driver version 4.27 with MANY_PORTS MULTIPORT SHARE_IRQ enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A
ttyS01 at 0x02f8 (irq = 3) is a 16550A
pty: 256 Unix98 ptys configured
apm: BIOS version 1.2 Flags 0x07 (Driver version 1.13)
Real Time Clock Driver v1.09
RAM disk driver initialized:  16 RAM disks of 4096K size
VP_IDE: IDE controller on PCI bus 00 dev 39
VP_IDE: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xd000-0xd007, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xd008-0xd00f, BIOS settings: hdc:DMA, hdd:DMA
hda: Maxtor 96147U8, ATA DISK drive
hdc: Maxtor 96147U8, ATA DISK drive
hdd: ATAPI-CD ROM-DRIVE-50MAX, ATAPI CDROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
hda: Maxtor 96147U8, 58623MB w/2048kB Cache, CHS=7473/255/63
hdc: Maxtor 96147U8, 58623MB w/2048kB Cache, CHS=7473/255/63
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
md driver 0.90.0 MAX_MD_DEVS=256, MAX_REAL=12
raid5: measuring checksumming speed
raid5: MMX detected, trying high-speed MMX checksum routines
   pII_mmx   :  1630.299 MB/sec
   p5_mmx    :  1712.214 MB/sec
   8regs     :  1258.824 MB/sec
   32regs    :   705.231 MB/sec
using fastest function: p5_mmx (1712.214 MB/sec)
scsi : 0 hosts.
scsi : detected total.
md.c: sizeof(mdp_super_t) = 4096
Partition check:
 hda: hda1 hda2 < hda5 hda6 hda7 hda8 hda9 hda10 hda11 >
 hdc: hdc1
RAMDISK: Compressed image found at block 0
autodetecting RAID arrays
autorun ...
... autorun DONE.
VFS: Mounted root (ext2 filesystem).
(scsi0) <Adaptec AIC-7860 Ultra SCSI host adapter> found at PCI 0/18/0
(scsi0) Narrow Channel, SCSI ID=7, 3/255 SCBs
(scsi0) Cables present (Int-50 YES, Ext-50 NO)
(scsi0) Downloading sequencer code... 422 instructions downloaded
scsi0 : Adaptec AHA274x/284x/294x (EISA/VLB/PCI-Fast SCSI) 5.1.31/3.2.4
       <Adaptec AIC-7860 Ultra SCSI host adapter>
scsi : 1 host.
(scsi0:0:0:0) Synchronous at 5.0 Mbyte/sec, offset 15.
  Vendor: EXABYTE   Model: EXB-85058HE-0000  Rev: 0112
  Type:   Sequential-Access                  ANSI SCSI revision: 02
autodetecting RAID arrays
autorun ...
... autorun DONE.
VFS: Mounted root (ext2 filesystem) readonly.
change_root: old root has d_count=1
Trying to unmount old root ... okay
Freeing unused kernel memory: 64k freed
Adding Swap: 1028120k swap-space (priority -1)
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
usb-uhci.c: $Revision: 1.232 $ time 16:53:56 Aug 22 2000
usb-uhci.c: High bandwidth mode enabled
usb-uhci.c: USB UHCI at I/O 0xd400, IRQ 9
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 1
usb.c: USB new device connect, assigned device number 1
hub.c: USB hub found
hub.c: 2 ports detected
es1371: version v0.22 time 16:53:18 Aug 22 2000
es1371: found chip, vendor id 0x1274 device id 0x1371 revision 0x08
es1371: found es1371 rev 8 at io 0xd800 irq 10
es1371: features: joystick 0x0
es1371: codec vendor CRY (0x435259) revision 19 (0x13)
es1371: codec features Headphone out 20bit DAC 18bit ADC
es1371: stereo enhancement: Crystal Semiconductor 3D Stereo Enhancement
st: bufsize 32768, wrt 30720, max buffers 5, s/g segs 16.
Detected scsi tape st0 at scsi0, channel 0, id 0, lun 0
Linux agpgart interface v0.99 (c) Jeff Hartmann
agpgart: Maximum main memory to use for agp memory: 322M
agpgart: Detected Via Apollo Pro chipset
agpgart: AGP aperture is 8M @ 0xd4000000
Comment 1 Bugzilla owner 2004-09-30 11:38:52 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.